Kerbal Space Program - Bug #18522

The chassis sink to the ground
04/12/2018 04:12 PM - RusIVAN

Status: Need More Info Start date: 04/12/2018
Severity: Low % Done: 0%

Assignee:

Category: Physics

Target version:

Version: 1.4.2 Language: pycckuid (Russian)
Platform: Windows Mod Related: No

Expansion: Core Game

Description

The chassis sink to the ground and then the ship jumps upwards. This is a little trouble on Kerbin, but it realy great trouble on
Minmus, for example, and on other celestial bodies with small gravity.

History

#1 - 04/13/2018 11:54 AM - jclovis3

Assuming your vessel is on landing struts, this is a duplicate symptom described in Bug #18289 (Landing gear bouncing issue in KSP 1.4.2).

If your vessel is not on landing struts, please provide a craft file or save game file and/or photos/videos (links for youtube) of your bug demonstration
to help developers understand any new issues. Note, many wheels have spring tension as well, and thought they don't exhibit the same snap back
problem the landing struts do, your spring tension settings may affect ship stability with small craft on low G planets.

#2 - 04/13/2018 07:33 PM - Anth12

Reporting an issue like this needs screenshots and craft files if possible.
When is it sinking?

On loading the craft which is already in the KSP world?

On Launching for the first time?

When moving across the terrain?

On landing on the ground after its been flying?

If you are landing it and then its sinking what was your speed in m/s when you contacted the ground?

Is it actually 'sinking'? that would indicate its slowly lowering into the terrain and then jumps...

Theres too many variables for this bug report to be useful.

#3 - 04/14/2018 03:15 PM - jclovis3
- File Phase through ground.png added

| can think of one scenario that | have seen but can't always replicate. The problem is that physics is ignored during 5x and greater warp, so you can
literally fly through another craft or planet this way. What sometimes happens if there is a little bounce during drilling operations is that if your ship
happens to be moving toward the ground at the moment you warp (blocked if moving too fast, but allowed if very slow) then you continue to phase
into the ground and upon coming out of warp will blow up. The attached photo (Phase through ground.png) is the result of jumping to Warp x10
quickly. If 1 go to x5 and wait for it to settle, it seems alright most of the time. Then | can increase some more. Jumping too quickly to x10 or greater
causes this effect. Note that in this case, your vessel will blow up in warp when it sinks halfway down. When flying into a planet at high warp, you can
pass through it sometimes.

#4 - 07/24/2019 08:38 PM - Robert.Keech

- Status changed from New to Need More Info

Files

Phase through ground.png 834 KB 04/14/2018 jclovis3
